<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_19</title>
</head>
<body>
    <h1>Ejercicio 19</h1>

    <script>

function sumaDigito( numero = 0) {
    let digito1,
    digito2,
    digito3,
    digito4;

    if (numero > 0 ){
        digito1 = Math.floor(numero / 1000);
        var digRes1 = numero % 1000;
        digito2 = Math.floor(digRes1 / 100);
        var digRes2 = digRes1 % 100;
        digito3 = Math.floor(digRes2 / 10);
        digito4 = digRes2 % 10;
    }
    console.log(`La suma de los digitos son: ${digito1+digito2+digito3+digito4}`);
}
sumaDigito(1234);
    </script>
    
    
</body>
</html>